#ifndef S4CALMCTRUTH_H
#define S4CALMCTRUTH_H
//*************************************************************************
//* ----------------
//* S4CALMCTruth Class
//* ----------------
//* (Description)
//* (Requires)
//*	S4VMCTruth:
//* (Provides)
//*	S4CALMCTruth		: steering class
//* (Update Record)
//*	2004/11/25  S.Yamamoto	Original version.
//*************************************************************************

#include <fstream>
#include "S4VMCTruth.h"

using namespace std;

class S4CALMCTruth : public S4VMCTruth {

public:
   S4CALMCTruth(const Char_t *fname = "hit.dat", 
                const Char_t *name  = "S4CALMCTruth",
                const Char_t *title = "Get CAL ExactHit data");
	        
   virtual ~S4CALMCTruth();

   Bool_t BeginRun(Int_t nrun);
   Bool_t Process (Int_t ev);

   void   DebugPrint(const Char_t *opt = "");
   
private:
   Char_t    *fInputFileName;            //!
   ifstream  *fInputStream;              //!

   ClassDef(S4CALMCTruth, 1) // Read CAL ExactHit Data
};

#endif

