#ifndef S4CALPreHit_H
#define S4CALPreHit_H

//////////////////////////////////////////////////////////////////////
//
//  JSFJ4 CAL PreHit Data
//
//  2004/10/16  Allister Sanchez   Original version.
//
//  $Id: S4CALPreHit.h,v 1.5 2006/02/10 14:21:28 miyamoto Exp $
/////////////////////////////////////////////////////////////////////

#include "S4VExactHit.h"
#include "S4BreakPoint.h"
#include <TVector3.h>
#include <TString.h>

// ***************************************************************
class S4CALPreHit : public S4VExactHit {
 public:
  S4CALPreHit();
  S4CALPreHit(Int_t      preHitID,       // prehit ID
	      Int_t      trackID,        // track ID 
	      Int_t      motherTrackID,  // mother track ID
	      Int_t      pcode,          // PDG code
	      Double_t   charge,         // charge
	      TVector3   pos,            // Injection position [cm]
	      Double_t   tof,            // TOF      [nsec]
	      TVector3   mom,            // momentum [GeV] 
	      Double_t   etot,           // energy
	      Double_t   edep,           // energy deposit [GeV]      
	      TVAddress *p = 0);         // address ptr
  virtual ~S4CALPreHit();

         Int_t  Compare   (const TObject*) const;
         Bool_t IsSortable()               const;

  inline Int_t         GetPreHitID      ()  const { return GetHitID();       }
  inline Double_t      GetEnergy        ()  const { return GetTotalEnergy(); }
  inline TVector3      GetInjectionPoint()  const { return GetPosition();    }
  inline S4BreakPoint *GetBreakPointPtr ()        { return fBreakPointPtr;   }

  void DebugPrint(Option_t *opt="") const;

 private:
  S4BreakPoint *fBreakPointPtr; // pointer to BreakPoint

  ClassDef(S4CALPreHit, 2) // S4CALPreHit class
};

#endif
