#ifndef S4HISTMCTRUTHBUF_H
#define S4HISTMCTRUTHBUF_H
//*************************************************************************
//* ----------------------
//* S4HISTMCTruthBuf Class
//* ----------------------
//* (Description)
//*	A class to store history information.
//* (Requires)
//*	S4VMCTruthBuf:
//* (Provides)
//*	S4HISTMCTruthBuf		: steering class
//* (Update Record)
//*	2006/02/03  K.Fujii	Original version.
//*************************************************************************

#include "S4HISTMCTruth.h"
#include "S4VMCTruthBuf.h"

// -----------------------
// MonteCarlo Truth Buffer
// -----------------------

class S4HISTMCTruthBuf : public S4VMCTruthBuf {
public:
  S4HISTMCTruthBuf(const Char_t *name  = "S4HISTMCTruthBuf",
                   const Char_t *title = "History Information Buf", 
                   S4HISTMCTruth *mod  = 0,
                   Int_t         size  = 1000);

  S4HISTMCTruthBuf(S4HISTMCTruth *mod,
                   const Char_t *name  = "S4HISTMCTruthBuf",
		   const Char_t *title = "History Information Buf",
                   Int_t         size  = 1000);

  virtual   ~S4HISTMCTruthBuf();

  TObjArray *GetInputBufPtr()                { return fInputBufPtr; }
  TObjArray *GetOutputBufPtr()               { return fInputBufPtr; }
  void       SetInputBufPtr(TObjArray *bufp) { fDone = kFALSE; 
                                               fInputBufPtr = bufp;
                                               Update(); }

  Bool_t     ReadFile();

private:
  void       Update();

private:
  TObjArray      *fInputBufPtr;             //! 
  Bool_t          fDone;                    //!
  
  ClassDef(S4HISTMCTruthBuf, 1) // history buffer
};

#endif
