//*************************************************************************
//* ---------------
//* S4HYBTrackMaker
//* ---------------
//* (Description)
//*    Makes hybrid tracks.
//* (Requires)
//*    U4HYBTrackMaker
//*    S4HYBTrackMakerBuf
//* (Provides)
//*    S4HYBTrackMaker
//* (Update Record)
//*    2004/09/08  K.Fujii	Original version.
//*************************************************************************

#include "S4HYBTrackMaker.h"
#include "S4HYBTrackMakerBuf.h"
#include "JSFSteer.h"


ClassImp(S4HYBTrackMaker)

//=====================================================================
//* constructor -------------------------------------------------------
S4HYBTrackMaker::S4HYBTrackMaker(const Char_t  *name,
                                 const Char_t  *title)
               : JSFModule(name, title) 
{ 
}
         
//=====================================================================
//* destructor --------------------------------------------------------
S4HYBTrackMaker::~S4HYBTrackMaker()
{
}

//=====================================================================
//* Initialize() ------------------------------------------------------
Bool_t S4HYBTrackMaker::Initialize()
{
  fEventBuf = new S4HYBTrackMakerBuf(this);

  return kTRUE;
}

//=====================================================================
//* Process -----------------------------------------------------------
Bool_t S4HYBTrackMaker::Process(Int_t event)
{
  S4HYBTrackMakerBuf *htmbp = static_cast<S4HYBTrackMakerBuf *>(EventBuf());
  htmbp->MakeTracks();

  return kTRUE;
}
