#ifndef S4HYBTRACKMAKERBUF_H
#define S4HYBTRACKMAKERBUF_H
//*************************************************************************
//* ------------------------
//* S4HYBTrackMakerBuf Class
//* ------------------------
//* (Description)
//*    Makes hybrid tracks.
//* (Requires)
//*    U4HYBTrackMakerBuf
//*    S4HYBTrackMaker
//* (Provides)
//*    S4HYBTrackMakerBuf
//* (Update Record)
//*    2004/09/08  K.Fujii      Original version.
//*************************************************************************

#include "S4HYBTrackMaker.h"
#include "S4HYBTrack.h"

#include <map>

class S4HYBTrackMakerBuf : public JSFEventBuf {
friend class S4HYBTrackMaker;
public:
  S4HYBTrackMakerBuf(const Char_t    *name    = "S4HYBTrackMakerBuf",
	             const Char_t    *title   = "HYB Track data", 
	             S4HYBTrackMaker *module  = 0);
  S4HYBTrackMakerBuf(S4HYBTrackMaker *module,
	             const Char_t    *name    = "S4HYBTrackMakerBuf",
	             const Char_t    *title   = "HYB Track data");
		    
  virtual ~S4HYBTrackMakerBuf();

  static S4HYBTrack *GetHYBTrackPtr(Int_t j4trkid);

  TObjArray *GetOutputBufPtr();
    
protected:  
  virtual void	MakeTracks();	// Make HYB Tracks

private:
  virtual void  MakeMap();      // Make a map from Jupiter tracks
    
private:
  TObjArray                            *fOutputBufPtr; // output buffer ptr
  static std::map<Int_t, S4HYBTrack *>  fJ4TrackMap;   //! J4Track to HybTrack map
  
  ClassDef(S4HYBTrackMakerBuf, 1) // Cluster data buffer
};
#endif
