C#define __Z0__
#define __HIGGS__
C#define __WW__

#include "pythia6205/pythia.inc"

      CHARACTER FRAME*4,BEAM*10,TARGET*10
      REAL*8 WIN
 
      FRAME  = 'CMS'
      
*~~~~~~~~~~~~~~~~~~~~~~~~~~~   >' )))<< . oO   
* Change beam parameters and event number
* 
      BEAM   = 'e+'
      TARGET = 'e-'
* Beam Energy (GeV)
      WIN    = 350.
*     WIN    = 250.
*     WIN    = 10.
*     WIN    = 180.
*     WIN    = 91.187
* Event Number
      NEVNT  = 100

C Top mass
      PMAS( 6,1) = 175.
C Higgs mass
      PMAS(25,1) = 120.
*
*~~~~~~~~~~~~~~~~~~~~~~~~~~~   >' )))<< . oO   

C---------------------
C QQbar
C---------------------
#ifdef __Z0__
      MSEL = 0
      DO I = 1, 500
        MSUB(I) = 0
      ENDDO
      MSUB(1) = 1
C--
C  Select Z decay modes
C--
      IZ = PYCOMP(23)
      MDCY(IZ,1) = 1
      DO IDC = MDCY(IZ,2), MDCY(IZ,2)+MDCY(IZ,3)-1
         MDME(IDC,1)=0
      ENDDO
C--
C Z --> q~ q
C--
C d~ d
      MDME(174,1) = 1
C u~ u
      MDME(175,1) = 1
C s~ s
      MDME(176,1) = 1
C c~ c
C      MDME(177,1) = 1
C b~ b
C      MDME(178,1) = 1
C--
C Z --> l+ l-
C--
C e+ e-
C      MDME(182,1) = 1
C mu+ mu-
C      MDME(184,1) = 1
C tau+ tau-
C      MDME(186,1) = 1
C--
C Z --> nu~ nu 
C--
C nu_e~ nu_e
C     MDME(183,1) = 1
C nu_mu~ nu_mu
C     MDME(185,1) = 1
C nu_tau~ nutau_
C     MDME(187,1) = 1
#endif
C---------------------
C Higgs
C---------------------
#ifdef __HIGGS__
      MSEL = 0
      DO I = 1, 500
        MSUB(I) = 0
      ENDDO
C ZH
      MSUB( 24) = 1
C ZZ fusion
C      MSUB(123) = 1
C WW fusion
C      MSUB(124) = 1
C--
C  Select Z decay modes
C--
      IZ = PYCOMP(23)
      MDCY(IZ,1) = 1
      DO IDC = MDCY(IZ,2), MDCY(IZ,2)+MDCY(IZ,3)-1
         MDME(IDC,1)=0
      ENDDO
C--
C Z --> q~ q
C--
C d~ d
C      MDME(174,1) = 1
C u~ u
C      MDME(175,1) = 1
C s~ s
C      MDME(176,1) = 1
C c~ c
C      MDME(177,1) = 1
C b~ b
C      MDME(178,1) = 1
C--
C Z --> l+ l-
C--
C e+ e-
C      MDME(182,1) = 1
C mu+ mu-
C      MDME(184,1) = 1
C tau+ tau-
C      MDME(186,1) = 1
C--
C Z --> nu~ nu 
C--
C nu_e~ nu_e
      MDME(183,1) = 1
C nu_mu~ nu_mu
      MDME(185,1) = 1
C nu_tau~ nutau_
      MDME(187,1) = 1
C--
C  Select H decay modes
C--
C     IH = PYCOMP(25)
#endif
C---------------------
C WW
C---------------------
#ifdef __WW__
      MSEL = 0
      DO I = 1, 500
        MSUB(I) = 0
      ENDDO
C WW
      MSUB(25) = 1
C--
C  Select W decay modes
C--
      IW = PYCOMP(24)
      MDCY(IW,1) = 1
      DO IDC = MDCY(IW,2), MDCY(IW,2)+MDCY(IW,3)-1
         MDME(IDC,1)=0
      ENDDO
C--
C W+ --> D~ U and W- --> l- nu_l~
C--
C d~ u
      MDME(190,1) = 2
C d~ c
C      MDME(191,1) = 2
C s~ u
      MDME(194,1) = 2
C s~ c
      MDME(195,1) = 2
C b~ u
C      MDME(198,1) = 2
C b~ c
C      MDME(199,1) = 2
C e- nu_e~
C      MDME(206,1) = 3
C mu- nu_mu~
      MDME(207,1) = 3
C tau- nu_tau~
C      MDME(208,1) = 3
#endif
C
C------------------------------------------------------
C Activate the following line to see decay table
C------------------------------------------------------
C
C------------------------------------------------------
C Activate the following line to see decay table
C------------------------------------------------------
        CALL PYLIST(12)
C------------------------------------------------------
C
      call pydatadummysub(pydata)

      call pygive('mstj(22)=2')

      CALL PYINIT(FRAME,BEAM,TARGET,WIN)
*     CALL PYSTAT(2)
*
      DO IEVT = 1, NEVNT
*
       CALL PYEVNT
       CALL PYEDIT(11)
       CALL PYEDIT(12)
       CALL PYEDIT(15)
*
       CALL PYHEPC(1)
*
       CALL HEP2G4
*
      ENDDO
***********************************************************
      STOP
      END
***********************************************************
      SUBROUTINE HEP2G4
*
* Output /HEPEVT/ event structure to G4HEPEvtInterface
*
* M.Asai (asai@kekvax.kek.jp)  --  24/09/96
*
***********************************************************
#include "pythia6205/pythia.inc"
*
      WRITE(6,*) NHEP
      DO IHEP=1,NHEP
       WRITE(6,10) 
     >  ISTHEP(IHEP),IDHEP(IHEP),JDAHEP(1,IHEP),JDAHEP(2,IHEP),
     >  PHEP(1,IHEP),PHEP(2,IHEP),PHEP(3,IHEP),PHEP(5,IHEP)
10    FORMAT(4I10,4(1X,D15.8))
      ENDDO
*
      RETURN
      END

      subroutine pydatadummysub(a)
      return
      end
