#ifndef J4HISTORYKEEPER_H 
#define J4HISTORYKEEPER_H
//*************************************************************************
//* --------------------
//* J4HistoryKeeper
//* --------------------
//* (Description)
//* 	Base class to book keep history information.
//* (Update Record)
//*	2006/01/11  S.Yamamoto	Original version.
//*************************************************************************

#include "J4PHitKeeper.hh"
#include "globals.hh"
#include <vector>

class J4HistoryKeeper : public J4VSubTrackingAction {
private:
  J4HistoryKeeper();
public:   
  virtual ~J4HistoryKeeper();

  virtual void    PreTrackDoIt(const G4Track* aTrack = 0);
  virtual void    Clear();
  static  J4HistoryKeeper *GetInstance() 
  { 
    return fgInstance ? fgInstance : (fgInstance = new J4HistoryKeeper());
  }
  void SetPHitKeeperPtr(J4PHitKeeper *phkp) { fPHitKeepers.push_back(phkp); } 

private:
  std::vector<J4PHitKeeper *>  fPHitKeepers;
  static J4HistoryKeeper      *fgInstance; // pointer to this class (singleton)
};
#endif
